/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

typedef unsigned int Tile;
struct Level {
	int width;
	int height;
	Tile *data;
};

/* return -1 if error */
int level_read(struct Level *, char *path);
void level_free(struct Level *);
/* return -1 if error */
int level_write(struct Level level, char *path);
