/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "mouse.h"
#include <raylib.h>

void update_mouse_position(int *mouse_x, int *mouse_y, int max_x,
                           int max_y)
{
	*mouse_x = GetMouseX();
	*mouse_y = GetMouseY();
	if (*mouse_x < 0)
		*mouse_x = 0;
	if (*mouse_y < 0)
		*mouse_y = 0;
	if (*mouse_x >= max_x)
		*mouse_x = max_x;
	if (*mouse_y >= max_y)
		*mouse_y = max_y;
}
